import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {ListPage} from "../../surveyManage/list/list";
import {ChangeApplyListPage} from "../../manageDuty/change-apply-list/change-apply-list";



@IonicPage()
@Component({
  selector: 'page-more-app',
  templateUrl: 'more-app.html',
})
export class MoreAppPage {

  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad MoreAppPage');
  }

  //问卷调查
    goToSurveyManage(){
      this.navCtrl.push('ListPage');
    }

    //活动
    goActivity() {
        this.navCtrl.push('ActivityListPage', {

        });
    }

    goAnnouncement() {
        this.navCtrl.push("AnnouncementPage");
    }

    //外出报备跳转
    goOutGoingReportAboutAll() {
        this.navCtrl.push("OutGoingReportPage", {
            type: 1
        });
    }

    //报备跟踪
    goReportTrack(){
        this.navCtrl.push("ReportTrackPage");
    }

    //值班情况
    goDuty(){
        this.navCtrl.push("DutyPage");
    }

    goActivityTrack(){
        this.navCtrl.push("ActivityTrackPage");
    }

    replayManage(){
      this.navCtrl.push('ChangeApplyListPage');
    }
}
